TREC 2001 VideoTrack: Shot Boundary Task Evaluation: Class ApproximateComparator

Class | Tree | Deprecated | Index | Help
| Shot Boundary Task Evaluation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Class ApproximateComparator

    java.lang.Object
      |
      +--ApproximateComparator

All Implemented Interfaces:
  java.util.Comparator

public class ApproximateComparator
extends java.lang.Object
implements java.util.Comparator

A class that implements the java.util.Comparator interface to compare two transitions regarding the overlaping of the longer. Used to compare a CUT transition compared with a short gradual transition.

Method Summary
`int` | `compare(java.lang.Object o1, java.lang.Object o2)` Compares its two arguments for ordering them.
`static ApproximateComparator` | `getInstance()` Returns the unique instance of this class with default parameter value.
`static ApproximateComparator` | `getInstance(double rone)` Returns the unique instance of this class and set the parameter.
`static double` | `getRone()` Gets the parameter.
`static void` | `setRone(double aRone)` Sets the parameter.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.util.Comparator
`equals`

Method Detail

### setRone

    public static void setRone(double aRone)

  Sets the parameter.

### getRone

    public static double getRone()

  Gets the parameter.

### getInstance

    public static ApproximateComparator getInstance(double rone)

  Returns the unique instance of this class and set the parameter.

### getInstance

    public static ApproximateComparator getInstance()

  Returns the unique instance of this class with default parameter value.

### compare

    public int compare(java.lang.Object o1,
                       java.lang.Object o2)
                throws java.lang.ClassCastException

  Compares its two arguments for ordering them. Uses the longer overlapping parameter to check the equality.
  Specified by:
    `compare` in interface `java.util.Comparator`
  Returns:
    a negative integer, zero, or a positive integer as the first argument is less than, equal to, or greater than the second.
  Throws:
    `java.lang.ClassCastException` - Thrown if one of the arguments is not a transition instance.

Class | Tree | Deprecated | Index | Help
| Shot Boundary Task Evaluation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

For information over@nist.gov or rtaban@nist.gov